from setuptools import setup

setup(
    name="ess-python-tools",
    use_scm_version=True,
    description="ESS Related Tools for Python",
    url="http://ess-bp.pages.esss.lu.se/ess-python-tools",
    license="MIT license",
    author="Yngve Levinsen",
    author_email="yngve.levinsen@esss.se",
    install_requires=["scipy", "numpy", "matplotlib", "webdavclient3", "h5py"],
    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        "Development Status :: 4 - Beta",
        # Indicate who your project is intended for
        "Intended Audience :: Science/Research",
        "Topic :: Scientific/Engineering :: Physics",
        "License :: OSI Approved :: MIT License",
        # Specify the Python versions you support here. In particular, ensure
        # that you indicate whether you support Python 2, Python 3 or both.
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
    ],
    packages=["ess"],
    scripts=["scripts/tracewin", "scripts/tracewin_errorstudy", "scripts/ibsimu2tw"],
)
